<template>
    <div>
        <div v-if="!editing && Object.keys($parent.$parent.user).length">
            <a href="#" @click.prevent="switchEdit" class="btn btn-success btn-lg">Create post</a>
        </div>
        <div v-if="editing && Object.keys($parent.$parent.user).length">
            <form method="post" action="#" @submit.prevent="sendForm">
                <div class="form-group">
                    <label for="title">Title</label>
                    <input id="title" type="text" class="form-control" v-model="form.title" />
                </div>
                <div class="form-group">
                    <label for="content">Content</label>
                    <vue-editor id="content" v-model="form.content"></vue-editor>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-outline-primary btn-lg">Save post</button>
                </div>
            </form>
        </div>
    </div>
</template>

<script>
    import { VueEditor } from 'vue2-editor'
    import firebase from '../app'

    export default {
        components:{
            VueEditor
        },
        data(){
            return {
                database:{},
                form:{
                  title:"",
                  content:""
                },
                editing:false
            }
        },
        methods:{
            sendForm(){
                this.database.ref('posts').push().set({
                    'title': this.form.title,
                    'content': this.form.content,
                    'date': new Date(),
                    'user_id': this.$parent.$parent.user.uid
                }).then( docRef => {
                    this.form = { title:"", content:"" }
                    this.switchEdit()
                })
            },
            switchEdit(){
                this.editing = !this.editing
            }
        },
        mounted() {
            this.database = firebase.database();
        }
    }
</script>

<style scoped>

</style>